@echo off

rem Setting the path to gsqlcmd.exe

set gsqlcmd=gsqlcmd.exe
if exist ..\gsqlcmd\gsqlcmd.exe         set gsqlcmd=..\gsqlcmd\gsqlcmd.exe
if exist ..\..\gsqlcmd\gsqlcmd.exe      set gsqlcmd=..\..\gsqlcmd\gsqlcmd.exe
if exist ..\..\..\gsqlcmd\gsqlcmd.exe   set gsqlcmd=..\..\..\gsqlcmd\gsqlcmd.exe

rem Reading the application name from label.txt

if exist label.txt @for /F "delims==" %%i in (label.txt) do set label=%%i

if "%label%"=="" set label=the example application

rem Verifying the main file

if not exist application-remove.sql goto NO_REMOVE_SQL



choice /C yn /M "Continue to REMOVE %label%"

if errorlevel 2 goto END


rem Executing the removing code

if exist application-remove.sql         %gsqlcmd% setup application-remove.sql      /inputcodepage=65001 /notransaction

if errorlevel 1 goto END


rem Executing the removing code in the master database

if exist master-remove.sql              %gsqlcmd% master master-remove.sql          /inputcodepage=65001 /notransaction

if errorlevel 1 goto END


rem Printing application objects

if exist application-list.sql           %gsqlcmd% setup application-list.sql        /inputcodepage=65001 /notransaction /addrownum

goto END


:NO_REMOVE_SQL

echo The required file application-remove.sql does not exist
exit


:END
