-- Saving Formula Values Example
-- October 17, 2014

-- This SQL code must be executed after SaveToDB Framework installation!

CREATE TABLE [Cart] (
    [ID] [int] IDENTITY(1,1) NOT NULL,
    [Product] [nvarchar](255) NULL,
    [Qty] [int] NULL,
    [Price] [float] NULL,
    [Sum] [float] NULL,
 CONSTRAINT [PK_Cart] PRIMARY KEY ([ID])
);
GO

INSERT INTO [Cart] ([Product],[Qty],[Price],[Sum]) VALUES (N'SaveToDB Enterprise',10,149.95,1499.5);
GO
INSERT INTO [Cart] ([Product],[Qty],[Price],[Sum]) VALUES (N'RealTimeToDB Enterprise',1,399.95,399.95);
GO
INSERT INTO [Cart] ([Product],[Qty],[Price],[Sum]) VALUES (N'RealTimeToExcel Enterprise',1,99.95,99.95);
GO

INSERT INTO [QueryList] ([TABLE_SCHEMA],[TABLE_NAME],[TABLE_TYPE],[INSERT_PROCEDURE],[UPDATE_PROCEDURE],[DELETE_PROCEDURE]) VALUES (NULL,N'Cart',N'TABLE',NULL,NULL,NULL);
GO
INSERT INTO [QueryList] ([TABLE_SCHEMA],[TABLE_NAME],[TABLE_TYPE],[INSERT_PROCEDURE],[UPDATE_PROCEDURE],[DELETE_PROCEDURE]) VALUES (N'SELECT ID, Product, Qty, Price, ''=[@Qty]*[@Price]'' AS [Sum], [Sum] AS StoredSum FROM Cart',N'viewCart',N'CODE',N'Cart',N'Cart',N'Cart');
GO

-- print The example of saving formula values has been installed
